# Generated by rust2rpm
# Tests are run in infrastructure
%bcond_with check
%global debug_package %{nil}

%global crate xz2

Name:           rust-%{crate}
Version:        0.1.6
Release:        1%{?dist}
Summary:        Rust bindings to liblzma

# Upstream license specification: MIT/Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/xz2
Source0:        https://crates.io/api/v1/crates/%{crate}/%{version}/download#/%{crate}-%{version}.crate

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
# [dependencies]
BuildRequires:  (crate(futures) >= 0.1.0 with crate(futures) < 0.2.0)
BuildRequires:  (crate(lzma-sys) >= 0.1.11 with crate(lzma-sys) < 0.2.0)
BuildRequires:  (crate(tokio-io) >= 0.1.0 with crate(tokio-io) < 0.2.0)
%if %{with check}
# [dev-dependencies]
BuildRequires:  (crate(quickcheck) >= 0.7.0 with crate(quickcheck) < 0.8.0)
BuildRequires:  (crate(rand) >= 0.5.0 with crate(rand) < 0.6.0)
BuildRequires:  (crate(tokio-core) >= 0.1.0 with crate(tokio-core) < 0.2.0)
%endif

%description
%{summary}.

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel
Rust bindings to liblzma providing Read/Write streams as well as low-level
in-memory encoding/decoding.

This package contains library source intended for building other packages
which use %{crate} from crates.io.

%prep
%autosetup -n %{crate}-%{version} -p1
# Test relies on relative paths, moreover those files are not packaged anywhere
sed -i -e "/fn standard_files/i #[ignore]" tests/xz.rs
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%files          devel
%license LICENSE-MIT LICENSE-APACHE
%doc README.md
%{cargo_registry}/%{crate}-%{version}/

%changelog
* Thu Oct 11 2018 Josh Stone <jistone@redhat.com> - 0.1.6-1
- Update to 0.1.6

* Sat Jul 28 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.5-4
- Rebuild to trigger tests

* Sat Jul 28 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.5-3
- Rebuild to trigger tests

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu May 10 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.5-1
- Update to 0.1.5

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Jan 13 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.4-1
- Initial package
